Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface AAct

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AAccessor, AAll, AAny, ABuild, ABuildGeography, ABuildGrid, ABuildNetwork, ABuildProjection, ABuildSpace, ACause, ACommand, AConnect, AControl, ACreateAgents, ACreateShapedAgents, ADerive, ADie, ADiffuse, ADisconnect, AEvaluate, AGroup, AInitialize, ALeave, ALoadAgents, ALoadShapedAgents, ALogic, AMethod, AMove, ANetwork, ANone, AOrdering, APerform, AQuery, AReplace, ARoot, ARule, ASchedule, ASelect, ASet, ASink, ATest, ATransform, AWatch

All Known Implementing Classes:
  AAccessorImpl, AActImpl, AAllImpl, AAnyImpl, ABuildGeographyImpl, ABuildGridImpl, ABuildImpl, ABuildNetworkImpl, ABuildProjectionImpl, ABuildSpaceImpl, ACauseImpl, ACommandImpl, AConnectImpl, ACreateAgentsImpl, ACreateShapedAgentsImpl, ADeriveImpl, ADieImpl, ADiffuseImpl, ADisconnectImpl, AEvaluateImpl, AGroupImpl, AInitializeImpl, ALeaveImpl, ALoadAgentsImpl, ALoadShapedAgentsImpl, ALogicImpl, AMethodImpl, AMoveImpl, ANetworkImpl, ANoneImpl, APerformImpl, AQueryImpl, AReplaceImpl, ARuleImpl, AScheduleImpl, ASelectImpl, ASetImpl, ASinkImpl, ATransformImpl, AWatchImpl

    public interface AAct

extends IID, IAct

A representation of the model object ' AAct'.

Author:
  Miles Parker

  The following features are supported:

  - `Sources`
  - `Targets`
  - `Reference`
  - `Group`
  - `Selected`
  - `All Sources`
  - `All Targets`
  - `Root Selected`
See Also:
  `MetaABMActPackage.getAAct()`

Method Summary
`org.eclipse.emf.common.util.EList<AAct>` | `getAllSources()` Returns the value of the 'All Sources' reference list.
`org.eclipse.emf.common.util.EList<AAct>` | `getAllTargets()` Returns the value of the 'All Targets' reference list.
`AGroup` | `getGroup()` Returns the value of the 'Group' container reference.
`SAgent` | `getReference()` Returns the value of the 'Reference' reference.
`ASelect` | `getRootSelected()` Returns the value of the 'Root Selected' reference.
`ASelect` | `getSelected()` Returns the value of the 'Selected' reference.
`org.eclipse.emf.common.util.EList<AAct>` | `getSources()` Returns the value of the 'Sources' reference list.
`org.eclipse.emf.common.util.EList<AAct>` | `getTargets()` Returns the value of the 'Targets' reference list.
`boolean` | `isReachable(IValue value)`
`boolean` | `isTargetOf(java.lang.Object check)`
`boolean` | `references(IValue value)`
`void` | `setGroup(AGroup value)` Sets the value of the '`Group`' container reference.
`void` | `setSelected(ASelect value)` Sets the value of the '`Selected`' reference.

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSources

    org.eclipse.emf.common.util.EList<AAct> getSources()

  Returns the value of the 'Sources' reference list. The list contents are of type `AAct`. It is bidirectional and its opposite is '`Targets`'.

  If the meaning of the 'Sources' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sources' reference list.
  See Also:
    `MetaABMActPackage.getAAct_Sources()`, `getTargets()`

### getTargets

    org.eclipse.emf.common.util.EList<AAct> getTargets()

  Returns the value of the 'Targets' reference list. The list contents are of type `AAct`. It is bidirectional and its opposite is '`Sources`'.

  If the meaning of the 'Targets' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Targets' reference list.
  See Also:
    `MetaABMActPackage.getAAct_Targets()`, `getSources()`

### getReference

    SAgent getReference()

  Returns the value of the 'Reference' reference.

  If the meaning of the 'Reference' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reference' reference.
  See Also:
    `MetaABMActPackage.getAAct_Reference()`

### getGroup

    AGroup getGroup()

  Returns the value of the 'Group' container reference. It is bidirectional and its opposite is '`Members`'.

  If the meaning of the 'Group' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' container reference.
  See Also:
    `setGroup(AGroup)`, `MetaABMActPackage.getAAct_Group()`, `AGroup.getMembers()`

### setGroup

    void setGroup(AGroup value)

  Sets the value of the '`Group`' container reference.

  Parameters:
    `value` - the new value of the 'Group' container reference.
  See Also:
    `getGroup()`

### getSelected

    ASelect getSelected()

  Returns the value of the 'Selected' reference.

  If the meaning of the 'Selected' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Selected' reference.
  See Also:
    `setSelected(ASelect)`, `MetaABMActPackage.getAAct_Selected()`

### setSelected

    void setSelected(ASelect value)

  Sets the value of the '`Selected`' reference.

  Parameters:
    `value` - the new value of the 'Selected' reference.
  See Also:
    `getSelected()`

### getAllSources

    org.eclipse.emf.common.util.EList<AAct> getAllSources()

  Returns the value of the 'All Sources' reference list. The list contents are of type `AAct`.

  If the meaning of the 'All Sources' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'All Sources' reference list.
  See Also:
    `MetaABMActPackage.getAAct_AllSources()`

### getAllTargets

    org.eclipse.emf.common.util.EList<AAct> getAllTargets()

  Returns the value of the 'All Targets' reference list. The list contents are of type `AAct`.

  If the meaning of the 'All Targets' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'All Targets' reference list.
  See Also:
    `MetaABMActPackage.getAAct_AllTargets()`

### getRootSelected

    ASelect getRootSelected()

  Returns the value of the 'Root Selected' reference.

  If the meaning of the 'Root Selected' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Root Selected' reference.
  See Also:
    `MetaABMActPackage.getAAct_RootSelected()`

### isTargetOf

    boolean isTargetOf(java.lang.Object check)

### isReachable

    boolean isReachable(IValue value)

### references

    boolean references(IValue value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD